text
stringlengths
2.5k
6.39M
kind
stringclasses
3 values
# Note: some of this code is lifted from zero_length_keys.sh, and could be # unified. umask 077 set -e if [ $# -eq 0 ] || [ ! -f ${1} ] || [ ! -x ${1} ]; then if [ "$TESTING_TOR_BINARY" = "" ] ; then echo "Usage: ${0} PATH_TO_TOR [case-number]" exit 1 fi fi if [ $# -ge 1 ]; then TOR_BINARY="${1}" shi...
the_stack
SCRIPT=$(readlink -f "$0") && cd $(dirname "$SCRIPT") # --- Script Init --- mkdir -p log rm -R -f log/* # --- Setup run dirs --- find output -type f -not -name '*summary-info*' -not -name '*.json' -exec rm -R -f {} + mkdir output/full_correlation/ rm -R -f fifo/* mkdir fifo/full_correlation/ rm -R -f work/* mkdir ...
the_stack
set -e #set -x ############################################################################### # Variables ############################################################################### # Take in a name of a password variable and then see if that variable is set. # If the password is not set return an error function...
the_stack
# Copyright 2014 Johns Hopkins University (authors: Daniel Povey, Yenda Trmal) # 2014 Guoguo Chen # 2015 MIT Lincoln Labs (author: Fred Richardson) # Apache 2.0. # This script takes an input lexicon (e.g. lexicon.txt) and generates likely # out of vocabulary words from it, with their associated ...
the_stack
set -e umask 022 create_ami() { local _arch=${ARCH} _importsnapid _snap ! [[ ${_arch} == amd64 ]] || _arch=x86_64 pr_title "converting image to stream-based VMDK" vmdktool -v ${IMGPATH}.vmdk ${IMGPATH} pr_title "uploading image to S3" aws s3api create-bucket --bucket ${_BUCKETNAME} \ --create-bucket-configu...
the_stack
###################################################################### # # TWVIDEOUP.SH : Upload A Video File To Twitter # # * See the following page to confirm the acceptable files # https://developer.twitter.com/en/docs/media/upload-media/uploading-media/media-best-practices # # Written by Shell-Shoccar Japan (@she...
the_stack
# This is a script to quickly install function-mesh. # This script will check if docker and kubernetes are installed. If local mode is set and kubernetes is not installed, # it will use KinD to install the kubernetes cluster according to the configuration. # Finally, when all dependencies are installed, function-mesh w...
the_stack
#================ VARIABLE INITIALIZATIONS ====================# typeset -a _Dbg_keep _Dbg_keep=('keep' 'del') # Note: we loop over possibly sparse arrays with _Dbg_brkpt_max by adding one # and testing for an entry. Could add yet another array to list only # used indices. Bash is kind of primitive. # Breakpoint dat...
the_stack
# # This is an example script to convert static media files using ffmpeg and OpenVSX # function getnosuffix { VAR2=${1} VAR=${VAR2%.*} } function getdirname { VAR=`dirname ${1}` } # # Print banner # echo " " echo "This script uses ffmpeg and OpenVSX to encode your video to MPEG-4 Part 10 / H.264 AVC" echo "===...
the_stack
#--------------------------------------------------------------------- # configure php-fpm #--------------------------------------------------------------------- function php-fpm() { # Determine the PHP-FPM runtime environment CPU=$(grep -c ^processor /proc/cpuinfo); echo "${CPU}" TOTALMEM=$(free -m | awk '/^...
the_stack
########### # CNN ########### #REPO_HOME=/home/ipdps/dpBenchmark/synthetic REPO_HOME=/home/comp/csshshi/repositories/dpBenchmark/synthetic current_path=$REPO_HOME/scripts experiments_path=$REPO_HOME/experiments log_path=$REPO_HOME/logs retrain_step=1 # Fully Connected ############# minibatch="${minibatch:-1024}" iter...
the_stack
################################################### # setup all the flags help, stuff to be executed for them and pre process # todo: maybe post processing too ################################################### _parser_setup_flags() { ################################################### # not a flag exactly, b...
the_stack
# build.sh # WebRTC # # Created by Rahul Behera on 6/18/14. # Copyright (c) 2014 Pristine, Inc. All rights reserved. # Get location of the script itself .. thanks SO ! http://stackoverflow.com/a/246128 SOURCE="${BASH_SOURCE[0]}" while [ -h "$SOURCE" ]; do # resolve $SOURCE until the file is no longer a symlink ...
the_stack
# SHELLDOC-IGNORE add_test_type checkstyle CHECKSTYLE_TIMER=0 CHECKSTYLE_GOAL_DEFAULT="checkstyle" CHECKSTYLE_GOAL="${CHECKSTYLE_GOAL_DEFAULT}" CHECKSTYLE_OPTIONS_DEFAULT="-Dcheckstyle.consoleOutput=true" CHECKSTYLE_OPTIONS="${CHECKSTYLE_OPTIONS_DEFAULT}" function checkstyle_filefilter { local filename=$1 if [[...
the_stack
# Open a remote shell session to a container # takes arguments: # $1: API JWT Admin Token # $2: ssh public key of the connecting user # $3: name of oc project # Optional: # service=xxx (service to connect to) # container=xxx (container to connect to) # any additonal parameters (run in the container via 'sh -c') ...
the_stack
set -Eeuo pipefail thisDir="$(dirname "$(readlink -f "$BASH_SOURCE")")" source "$thisDir/.constants.sh" \ --flags 'no-build,debug,skip-tests,suite:,gardenversion:,timestamp:' \ --flags 'ports,arch:,qemu,features:,commitid:,userid:,usergid:' \ --flags 'suffix:,prefix:' \ -- export PATH="${thisDir}:${PATH}" export ...
the_stack
#process command name to check declare -a KILLLIST KILLLIST=("/usr/sbin/apache2" "/usr/bin/php5-cgi") #email (if empty no email will sent) EMAIL="noemail@nomail.com" #max cpu % load MAX_CPU=90 #max execution time for CPU percentage > MAX_CPU (in seconds 7200s=2h) MAX_SEC=1800 #max execution time for any %CPU (in second...
the_stack
all="$@" path=~/.orw/bar [[ $1 == Weather ]] && module=E || module="${1:0:1}" pbg="${module}pbg:-\$pbg" pfg="${module}pfg:-\$pfg" sbg="${module}sbg:-\${${module}pbg:-\$sbg}" sfg="${module}sfg:-\${${module}pfg:-\$sfg}" function set_icon() { [[ "$all" =~ icon|only ]] && icon="$(sed -n "s/${1}_icon=//p" ${0%/*}/icons...
the_stack
set -e has() { type "$1" > /dev/null 2>&1 return $? } # Redirect stdout ( > ) into a named pipe ( >() ) running "tee" # exec > >(tee /tmp/installlog.txt) # Without this, only stdout would be captured - i.e. your # log file would not contain any error messages. exec 2>&1 if has "wget"; then DOWNLOAD() { wge...
the_stack
set -e current_directory=$(pwd) working_directory="$current_directory/.testing" test_framework_directory="$current_directory/.jenkinsfile-runner-test-framework" cwp_jar="$current_directory/cwp.jar" jenkinsfile_runner_tag="jenkins-experimental/jenkinsfile-runner-test-image" version="256.0-test" . $test_framework_dire...
the_stack
# # Verify trapping & emulation on "mount" and "unmount2" syscalls # load ../../helpers/run load ../../helpers/syscall load ../../helpers/docker load ../../helpers/environment load ../../helpers/mounts load ../../helpers/sysbox-health function teardown() { sysbox_log_check } # Test to verify immutable mounts with...
the_stack
load 'test_helper/bats-support/load' load 'test_helper/bats-assert/load' # # system # @test "checking system: /etc/mailname (env method) (ldap)" { run docker exec mailserver_ldap cat /etc/mailname assert_success assert_output "mail.domain.tld" } @test "checking system: all environment variables have been repla...
the_stack
setup() { REPO_NAME="dolt_repo_$$" mkdir $REPO_NAME cd $REPO_NAME dolt init } teardown() { cd .. rm -rf $REPO_NAME } @test "import mysqldump: empty database dump" { service mysql start mysql <<SQL CREATE DATABASE testdb; SQL mysqldump -B 'testdb' --result-file=dump.sql run d...
the_stack
# global stuff BASE_PATH="$HOME/osmedeus-base" BINARIES_PATH="$BASE_PATH/binaries" DATA_PATH="$BASE_PATH/data" TMP_DIST="/tmp/tmp-binaries" BAK_DIST="/tmp/bak-osm" DEFAULT_SHELL="$HOME/.bashrc" CWD=$(pwd) PACKGE_MANAGER="apt-get" SUDO="sudo" if [ "$(whoami)" == "root" ]; then SUDO="" fi [ -x "$(command -v apt)" ] ...
the_stack
# Breif description about the HPO API tests declare -A hpo_api_test_description hpo_api_test_description=([hpo_post_experiment]="Start the required HPO services, post an experiment json to HPO /experiment_trials API with various combinations and validate the result" [hpo_get_trial_json]="Start...
the_stack
# IMPORTANT: Overrride this variable if your tests are located in a different folder, eg 'specs' # shellcheck disable=2046 readonly BATS_SOURCES_CORE="https://github.com/bats-core/bats-core.git" # readonly BATS_SOURCES_SUPPORT="https://github.com/bats-core/bats-support" export DEFALT_MIN_WIDTH=80 export UI_WIDTH=${UI...
the_stack
# Tetris game written in pure bash # # I tried to mimic as close as possible original tetris game # which was implemented on old soviet DVK computers (PDP-11 clones) # # Videos of this tetris can be found here: # # http://www.youtube.com/watch?v=O0gAgQQHFcQ # http://www.youtube.com/watch?v=iIQc1F3UuV4 # # This script w...
the_stack
# include helper functions source ./pssdiag_support_functions.sh # defining all functions upfront sql_collect_perfstats() { if [[ $COLLECT_PERFSTATS == [Yy][eE][sS] ]] ; then #Start regular PerfStats script as a background job echo " Starting SQL Perf Stats script as a backgrou...
the_stack
#### command sub $(echo hi) var x = $(echo hi) var y = $(echo '') # Make sure we can operate on these values echo x=${x:-default} y=${y:-default} ## STDOUT: x=hi y=default ## END #### shell array %(a 'b c') shopt -s parse_at var x = %(a 'b c') var empty = %() argv.py / @x @empty / ## STDOUT: ['/', 'a', 'b c', '/'] ##...
the_stack
wget https://raw.githubusercontent.com/openebs/charts/gh-pages/versioned/legacy-v2.12.x/legacy-openebs-operator-ci.yaml IMAGE_ORG=${IMAGE_ORG:-openebs} sed -i "s/quay.io\/openebs/${IMAGE_ORG}/g" legacy-openebs-operator-ci.yaml echo "Specify Sparse blockdevice count as 5" sed -i "s/value: \"1\"/value: \"5\"/g" legacy-...
the_stack
# Copyright (C) 2020 IBM Corp. # This program is Licensed under the Apache License, Version 2.0 # (the "License"); you may not use this file except in compliance # with the License. You may obtain a copy of the License at # http://www.apache.org/licenses/LICENSE-2.0 # Unless required by applicable law or agreed to in...
the_stack
netcat=nc report_site=fake.haikuware.com report_cgi=http://haikuware.com/hwreport.php packages="dmidecode netcat" do_notify () { p="$1" m="$2" shift shift notify --type progress \ --messageID hwck_$$ \ --icon /system/apps/Devices \ --group HardwareChecker \ --title "progress:" --progress "$p" "$m" "$@" ...
the_stack
function print_help { echo $'Usage\n\n' \ $'-s Subscription\n' \ $'-l Location\n' \ $'-r Resource Group\n' \ $'-k Ssh pubic key filename\n' \ $'-? Show Usage' \ ...
the_stack
#include "samplers.sh" #ifdef WRITE_LUT IMAGE2D_WR(i_texAlbedoLUT, rgba32f, SAMPLER_PBR_ALBEDO_LUT); #else SAMPLER2D(s_texAlbedoLUT, SAMPLER_PBR_ALBEDO_LUT); #endif // only define this if you need to retrieve the material parameters // without it you can still use the struct definition or BRDF functions #ifdef READ_M...
the_stack
PATH=/usr/local/bin:/usr/local/sbin:/opt/local/bin:/usr/bin:/usr/sbin:/bin:/sbin SHELL=/bin/bash whitelist_ip_pingdom() { if [ ! -e "/root/.whitelist.dont.cleanup.cnf" ]; then echo removing pingdom ips from csf.allow sed -i "s/.*pingdom.*//g" /etc/csf/csf.allow wait sed -i "/^$/d" /etc/csf/csf.allow ...
the_stack
function testcase_athena.plugin.run_command() { bashunit.test.assert_exit_code.expects_fail "athena.plugin.run_command" bashunit.test.assert_exit_code.expects_fail "athena.plugin.run_command" "cmd1" bashunit.test.assert_exit_code.expects_fail "athena.plugin.run_command" "cmd1" "/no/real/path" bashunit.test.mock.re...
the_stack
BASE=$(dirname $(readlink -f $BASH_SOURCE)) set -euo pipefail PVC_NAME=pravega-log-sink VOLUME_NAME=logs HOST_LOGS=host-logs MOUNT_PATH=/data CONFIG_MAP_NAME="pravega-logrotate" CONFIG_MAP_DATA=/etc/config KEEP_PVC=false NAMESPACE=${NAMESPACE:-"default"} NAME=${NAME:-"pravega-fluent-bit"} LOGS_DIR="pravega-logs-expor...
the_stack
set -euo pipefail shopt -s extglob # TODO: upload packages # TODO: set dev version in 21.01 (+ 20.09?) branches : ${VENV:=.venv} : ${FORK_REMOTE:=origin} : ${UPSTREAM_REMOTE:=upstream} : ${UPSTREAM_REMOTE_URL:=git@github.com:galaxyproject/galaxy.git} : ${DEV_BRANCH:=dev} : ${STABLE_BRANCH:=master} # Vars for local r...
the_stack
CURRDIR=$( dirname "$0" ) # shellcheck source=./common.sh . "$CURRDIR/common.sh" # constants # Here, tempdir is used as a runtime dir to save stuff created by (fake) binaries. TMPDIR="" # make sure, original files are backed up… oneTimeSetUp(){ echo "shunit2 v$SHUNIT_VERSION" echo "Testing borgcron.sh…" echo } # ...
the_stack
# Log helper functions # ------------------------------------------------------------------------------ function __alf-au-log() { plog "auto-update" "$1" } function __alf-au-log-error() { plog -e "auto-update" "$1" } function __alf-au-log-delete() { plog -d "auto-update" } # Git helper functions # ----------...
the_stack
# This will take an individual pair of read files and take them through all steps of # mapping, remapping, deduplicating and read group addition. # Once this has been run on all datasets for a sample, they can be combined and used for # allele-specific read counting using CombineMappings.sh #export PATH=/share/apps/R-...
the_stack
# SPDX-License-Identifier: MIT set -euo pipefail unbind() { readarray -t BINDINGS <<< $(tmux list-keys | grep -E "$1" || true) for line in "${BINDINGS[@]}"; do if [ -z "$line" ]; then continue fi local lineArr=($line) local kt=${lineArr[2]} local kbd=${line...
the_stack
# Exit on error. Append "|| true" if you expect an error. set -o errexit # Exit on error inside any functions or subshells. set -o errtrace # Do not allow use of undefined vars. Use ${VAR:-} to use an undefined VAR set -o nounset # Catch the error in case mysqldump fails (but gzip succeeds) in `mysqldump |gzip` set -o ...
the_stack
# Script to install the depenencies for LISA on an Ubuntu-like system. # This is intended to be used for setting up containers and virtual machines to # run LISA (e.g. for CI infrastructure or for Vagrant installation). # This can also work for a fresh LISA install on a workstation. # Read standard /etc/os-release fi...
the_stack
version=$1 clusterName=$2 containerPlatform=$3 containerPlatformRole=$4 azs=$5 org="cloudstax/" if [ "$version" = "" -o "$clusterName" = "" -o "$azs" = "" ]; then echo "version $version, clusterName $clusterName and azs $azs should not be empty" exit 1 fi if [ "$containerPlatform" != "ecs" -a "$containerPlatform...
the_stack
# Helper script used in the second edition of the GNU MCU Eclipse build # scripts. As the name implies, it should contain only functions and # should be included with 'source' by the container build scripts. # ----------------------------------------------------------------------------- # The surprise of this build w...
the_stack
set -o nounset # Get the directory where current script is located SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" USAGE="$0 [optional flags] <optional_output_dir> <optional_start_phase> Runs regression test for the entire data generation pipeline, pipeline.sh. Flags: -h print help -y skip confirmati...
the_stack
################################################# # Migrate All repos in One Org to a Master Org # # Used to help consolidate users Orgs # # Can run in debug mode to show list of actions # # # # @admiralAwkbar # ####################...
the_stack
# This script does discriminative training on top of CE nnet3 system. To # simplify things, this assumes you are using the "cleaned" data (since this is # generally better), i.e. it won't work if you used options to run_tdnn_lstm_1a.sh # to use the non-cleaned data. # # note: this relies on having a cluster that has p...
the_stack
# Example to make menu program . sentaku -n _SENTAKU_NOHEADER=0 _SENTAKU_NONUMBER=0 _MENU="戦う 魔法 逃げる アイテム" _MENU_EN="FIGHT SPELL RUN ITEM" _YOUR_NAME="アレフ" _YOUR_NAME_EN="Alef" _YOUR_HP=30 _YOUR_WEAPON="ロトの剣" _YOUR_WEAPON_EN="Erdrick's Sword" _YOUR_WEAPON_POWER=(6 10) _YOUR_WEAPON_MISS=10 _YOUR_MP=6 _YOUR_SPELLS=("...
the_stack
# To test everything run: `make test`, or `./tests/unit-tests.sh` # # To run one test: `./tests/unit-tests.sh -- testVerifyOptionInvalid # # or for more individual tests add more to the end of the previous line # =========================================================================== # Make tests # ===============...
the_stack
# Trap handler to make ctrl-c work in almost all cases: # "kill 0" to kill even background processes: trap 'echo Aborting...; kill -s SIGKILL 0; exit;' SIGINT SIGTERM #$1: CodeThorn's src directory SRCDIR=$(cd $1; pwd) # store the absolute path #$2: CodeThorn's build directory BUILDDIR=$(cd $2; pwd) # store the absol...
the_stack
set -e pipefail SOURCE_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )" # Require only one python installation if [[ -z "$DESIRED_PYTHON" ]]; then echo "Need to set DESIRED_PYTHON env variable" exit 1 fi if [[ -n "$BUILD_PYTHONLESS" && -z "$LIBTORCH_VARIANT" ]]; then echo "BUILD_PYTHONLES...
the_stack
set -eu -o pipefail export -n GZIP GUNZIP TESTDATA TMPDIR="$(mktemp -d)" CURRENT_TEST= cleanup() { if [ -n "$CURRENT_TEST" ]; then echo "TEST FAILED: \"$CURRENT_TEST\"" fi rm -rf -- "$TMPDIR" } trap cleanup EXIT TESTDATA="$(readlink -f "$TESTDATA")" cd "$TMPDIR" begin_test() { CURRENT_TEST="$1" rm -rf -- "...
the_stack
function athena.argument.is_integer() { local re='^[0-9]+$' if ! [[ $1 =~ $re ]] ; then return 1 else return 0 fi } # This function pops a number of arguments from the argument list $ATHENA_ARGS. # USAGE: athena.argument.pop_arguments <number> # RETURN: -- function athena.argument.pop_arguments() { athena.ut...
the_stack
# Tests a set of patches from a directory. # Copyright (C) 2007, 2008 Free Software Foundation, Inc. # Contributed by Sebastian Pop <sebastian.pop@amd.com> # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software ...
the_stack
### BEGIN ### # Author: idevz # Since: 2018/03/12 # Description: Auto genertate PHPUnit Tests and phpt tests. # ./run.sh see help ### END ### set -ex BASE_DIR=$(dirname $(cd $(dirname "$0") && pwd -P)/$(basename "$0")) PHPUNIT_SKELGEN_EXECUTABLE=/usr/local/bin/phpunit-skelgen PHPU...
the_stack
set -euo pipefail source cmd.sh source path.sh lng= acc= spks= srate= rawaudiodir= labeldir= stage= endstage= runnorm= tpdb= nodev= nj= network_type= FRAMESHIFT= TMPDIR= . parse_options.sh || exit 1; echo echo "---- Running Tangle Training ----" echo " language: $lng" echo " accent: $acc" echo " speak...
the_stack
################################################################################ # PRE-EXECUTION VALIDATION ################################################################################ # Check if running as root if [ "$(id -u)" -ne 0 ]; then echo "ERROR: Must be run as root" >&2 exit 2 fi # Check required dep...
the_stack
check() { if diff <(sort $1) <(sort $2); then echo ok else echo fail exit 1 fi } export -f check ################################################################### # 1. Test basic auto_dominant functionality ################################################################### echo " aut...
the_stack
_bdm_err() { if [ "$BDM_THISBDM_LOGLEVEL" -gt 0 ]; then echo -e "\e[91m$*\e[0m"; fi } _bdm_warn() { if [ "$BDM_THISBDM_LOGLEVEL" -gt 1 ]; then echo -e "\e[93m$*\e[0m"; fi } _bdm_info() { if [ "$BDM_THISBDM_LOGLEVEL" -gt 3 ]; then echo -e "\e[95m$*\e[0m"; fi } _bdm_ok() { if [ "$BDM_THISBDM_LOGLEVEL" -gt 4 ];...
the_stack
set -e # HYPERGLASS_VERSION="1.0.0b42" MIN_PYTHON_MAJOR="3" MIN_PYTHON_MINOR="6" MIN_NODE_MAJOR="14" MIN_YARN_MAJOR="1" MIN_REDIS_MAJOR="4" APT_INSTALL="apt-get install -y" APT_UPDATE="apt update" YUM_INSTALL="yum install -y" YUM_UPDATE="yum update" BREW_INSTALL="brew install" BREW_UPDATE="brew update" INSTALL_MAP=...
the_stack
libretro_version="1.1" default_actions="fetch clean compile" SCRIPT="${0#./}" BASE_DIR="${SCRIPT%/*}" WORKDIR="$PWD" if [ "$BASE_DIR" = "$SCRIPT" ]; then BASE_DIR="$WORKDIR" else if [[ "$0" != /* ]]; then # Make the path absolute BASE_DIR="$WORKDIR/$BASE_DIR" fi fi ###########################################...
the_stack
Title="txtQuery" Ver="0.31" DEPENDENCIES="TXTQuery.js, https://www.npmjs.org/package/foldingtext" # EDIT THIS LINE TO MATCH THE PATH OF The FoldingText CLI executable FT ON YOUR INSTALLATION PathToFT=/usr/local/lib/node_modules/foldingtext/bin/ft # A shell run by tools like KeyBoard Maestro, LaunchBar, Alfred etc may...
the_stack
OS=$(awk '/DISTRIB_ID=/' /etc/*-release | sed 's/DISTRIB_ID=//' | tr '[:upper:]' '[:lower:]') ARCH=$(uname -m | sed 's/x86_//;s/i[3-6]86/32/') VERSION=$(awk '/DISTRIB_RELEASE=/' /etc/*-release | sed 's/DISTRIB_RELEASE=//' | sed 's/[.]0/./') if [ -z "$OS" ]; then OS=$(awk '{print $1}' /etc/*-release | ...
the_stack
if [ -z "${STAGEDIR}" -o -z "${PREFIX}" -o -z "${LOCALBASE}" ]; then echo "STAGEDIR, PREFIX, LOCALBASE required in environment." >&2 exit 1 fi [ -n "${DEBUG_MK_SCRIPTS}" -o -n "${DEBUG_MK_SCRIPTS_QA}" ] && set -x notice() { echo "Notice: $@" >&2 } warn() { echo "Warning: $@" >&2 } err() { echo "Error: $@" >&2 ...
the_stack
set -e cd "$(dirname "$0")"/../.. set -x deployMethod="$1" nodeType="$2" entrypointIp="$3" numNodes="$4" if [[ -n $5 ]]; then export RUST_LOG="$5" fi skipSetup="$6" failOnValidatorBootupFailure="$7" externalPrimordialAccountsFile="$8" maybeDisableAirdrops="$9" internalNodesStakeLamports="${10}" internalNodesLamport...
the_stack
# fail on void variable and error set -ue IPT=iptables BACKUP_FILES="/etc/tor/torrc /etc/resolv.conf" SHOW_LOG=true #################################################### # Check Bins checkBins modprobe iptables ip systemctl checkRoot #################################################### # Command line parser while [...
the_stack
: # 18 Apr 93 # # patches.sh # # This is a bourne shell program to apply the specified patch # It is derived from the 386BSD interactive program # # When Who Description # --------- -------------------- ------------------------------------ # 04 Mar 16 Diomidis Spinellis Create non-interactive version # 18 Apr 93 Rod...
the_stack
# set -e: exit asap if a command exits with a non-zero status set -e echoerr() { printf "%s\n" "$*" >&2; } # print error and exit die () { echoerr "ERROR: $1" # if $2 is defined AND NOT EMPTY, use $2; otherwise, set to "150" errnum=${2-188} exit $errnum } if [ -f /var/run/secrets/kubernetes.io/serviceaccount...
the_stack
. ./cmd.sh . ./path.sh set -e mfccdir=`pwd`/mfcc vaddir=`pwd`/mfcc famecorpus=./corpus num_components=2048 # Data preparation if [ -d $famecorpus ] ; then echo "Fame corpus present. OK." elif [ -f ./fame.tar.gz ] ; then echo "Unpacking..." tar xzf fame.tar.gz elif [ ! -d $famecorpus ] && [ ! -f ./fame.tar.gz ]...
the_stack
INCLUDED_SH=INCLUDED_e7bec90191844db89743809e5cfb01f5; if [ ! -z ${!INCLUDED_SH} ]; then return 0; fi; eval ${INCLUDED_SH}=true # Options # ======= # # Functions to facilitate option parsing and information in shell scripts. # Note: This script sets -e and -u flags. # # # By Karl Stenerud (kstenerud@gmail.com) # # # E...
the_stack
root << EOF .q EOF #################################################################### jagged0 python -c 'import uproot, os; print("zlib9-jagged0", uproot.open("/home/jpivarski/storage/data/chep-2021-jagged-jagged-jagged/zlib9-jagged0.root:tree/branch").num_entries, "entries", os.stat("/home/jpivarski/storage/data/c...
the_stack
# # Copyright (C) 2006-2017 Oracle Corporation # # This file is part of VirtualBox Open Source Edition (OSE), as # available from http://www.virtualbox.org. This file is free software; # you can redistribute it and/or modify it under the terms of the GNU # General Public License (GPL) as published by the Free Software ...
the_stack
set -e; BT=${BT-../../bin/bedtools} htsutil=${htsutil-../htsutil} FAILURES=0; check() { if diff $1 $2; then echo ok else FAILURES=$(expr $FAILURES + 1); echo fail fi } ########################################################### ########################################################### # ...
the_stack
# # Cocos3D 2.0.2 # Author: Bill Hollings # Copyright (c) 2010-2014 The Brenwill Workshop Ltd. All rights reserved. # http://www.brenwill.com # # Permission is hereby granted, free of charge, to any person obtaining a copy # of this software and associated documentation files (the "Software"), to deal # in the Software...
the_stack
rcsid='$MirOS: contrib/hosted/tg/deb/mkdebidx.sh,v 1.77 2019/05/18 18:39:07 tg Exp $' #- # Copyright © 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, # 2016, 2017, 2019 # mirabilos <m@mirbsd.org> # # Provided that these terms and disclaimer and all copyright notices # are retained or reproduced in an accompanyin...
the_stack
read -p "Enter Bluetooth Address (eg. 00:00:00:00:00:00) : " BLE1 read -p "Is the Address is Random? Enter '-t random' : " BLE2 hciconfig hci0 down; hciconfig hci0 up echo "Characteristics Read"; gatttool $BLE2 -b $BLE1 --characteristics echo "Profile Read"; gatttool $BLE2 --primary -b $BLE1 echo "sleep 5"; sleep 5 ech...
the_stack
### TODO: other copyrights, license? # Copyright (c) 2004 Richard Evans <rich@ridas.com> sub usage { warn <<"EOF"; extractrc [flags] filenames This script extracts messages from designer (.ui) and XMLGUI (.rc) files and writes on standard output (usually redirected to rc.cpp) the equivalent i18n() calls so that xg...
the_stack
set -ex # Default parameters for nightly builds to be sourced both by build_cron.sh and # by the build_docker.sh and wheel/build_wheel.sh scripts. echo "nightly_defaults.sh at $(pwd) starting at $(date) on $(uname -a) with pid $$" # NIGHTLIES_ROOT_FOLDER # N.B. this is also defined in cron_start.sh # An arbitrary ...
the_stack
# # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you may not us...
the_stack
###################################################################### # # TWFING.SH : List Following Users Of A Person # # Written by Shell-Shoccar Japan (@shellshoccarjpn) on 2020-10-01 # # This is a public-domain software (CC0). It means that all of the # people can use this for any purposes with no restrictions at ...
the_stack
# # Author: dkoroth@google.com # #set -x source ./testhelper.sh source ./testEMG.sh # Username and Password for the api.enterprise.apigee.com #MOCHA_USER= #MOCHA_PASSWORD= # OrgName configured at api.enterprise.apigee.com #MOCHA_ORG= # Proxy environment configured at api.enterprise.apigee.com # Default is 'test' en...
the_stack
# verify the result of the end-to-end test verifyResult () { if [ $1 -ne 0 ] ; then echo "!!!!!!!!!!!!!!! "$2" !!!!!!!!!!!!!!!!" echo "========= ERROR !!! FAILED to execute End-2-End Scenario ===========" echo exit 1 fi } # Set OrdererOrg.Admin globals setOrdererGlobals() { CORE_PEER_LOCALMSPID=...
the_stack
set -eou pipefail IFS=$'\n\t' # these flighting values should match Makefile readonly TEST_SUBS_AZURE="c3dfd792-49a4-4b06-80fc-6fc6d06c4742" readonly TEST_REGION_AZURE="South Central US" readonly TEST_SUBS_AZURE_CHINA="cc1624c7-3f1d-4ed3-a855-668a86e96ad8" readonly TEST_REGION_AZURE_CHINA="China East" # make docker-...
the_stack
# Copyright 2012 Arnab Ghoshal # # Copyright 2016 by Idiap Research Institute, http://www.idiap.ch # # See the file COPYING for the licence associated with this software. # # Author(s): # Bogdan Vlasenko, February 2016 # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file...
the_stack
#--------------------------------------------------------------------------- # (c) Copyright IBM Corp. 2010 All rights reserved. # # The following sample of source code ("Sample") is owned by International # Business Machines Corporation or one of its subsidiaries ("IBM") and is # copyrighted and licensed, not sold. Yo...
the_stack
CALENDAR_UTILS_VERSION="calendar-utils.sh v1.2" [[ "$CALENDAR_UTILS_SH" = "$CALENDAR_UTILS_VERSION" ]] && return CALENDAR_UTILS_SH="$CALENDAR_UTILS_VERSION" source help-util.sh calendar_help() { help_pager <<EOF calendar-utils provide some basic calendaring functions. Usage: source calendar-utils.sh Functions...
the_stack
function run { if [ `hostname -d` = helios ] then smart-dispatch -q gpu_1 -t $TIME launch bash -x $LVSR/bin/run_cluster.sh train $@ else $LVSR/bin/run.py train $@ fi } # Actor pretraining if [ 0 == 1 ]; then [ -a ted10 ] || TIME=12:00:00 run ted10 $LVSR/exp/ted...
the_stack
# # Coding conventions # # * globals are `like_this`. # * locals are `_like_this`. # * exported values are `LIKE_THIS`. # * out-of-band return values are put into `RETVAL`. # # # Error handling # # Oh, my goodness, error handling. It's terrifying. # # This doesn't use -e because it makes it hard to control the # presen...
the_stack
set -e DIR="/tmp" SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" DEBUG=false function usage(){ cat <<EOF Usage: $0 [options] [<sni>@]<host>:<port>|<pem-file> (Author: Adrian Vollmer, SySS GmbH 2017-2019) Clone an X509 certificate. The cloned certificate and the corresponding key will be located in <D...
the_stack
cd $(dirname $0) [ $# -lt 10 ] && echo "$0 <cluster_id> <cluster_name> <base_domain> <endpoint> <cookie> <ha_flag> <nworkers> <version> <virtual_type> <lb_external_ip> <host_record>" && exit 1 cluster_id=$1 cluster_name=$2 base_domain=$3 endpoint=$4 cookie=$5 haflag=$6 nworkers=$7 version=$8 virt_type=$9 lb_ext_ip=${...
the_stack
_trueline_font_style() { style="$1" case "$style" in bold) style=1 ;; dim) style=2 ;; italic) style=3 ;; underlined) style=4 ;; **) style=22 ;; esac...
the_stack
load _helpers @test "server/StatefulSet: enabled by default" { cd `chart_dir` local actual=$(helm template \ -x templates/server-statefulset.yaml \ . | tee /dev/stderr | yq 'length > 0' | tee /dev/stderr) [ "${actual}" = "true" ] } @test "server/StatefulSet: enable with global.enabled false" ...
the_stack
# usage: ./multihost/_reset-cluster-using-ssh.sh dev ceph # optional usage: ./multihost/_reset-cluster-using-ssh.sh dev ceph labeler=/opt/deploy-to-kubernetes/multihost/run.sh dockerdir=/var/lib/docker deploy_dir=/opt/deploy-to-kubernetes rookdir=/var/lib/rook if [[ -e /opt/deploy-to-kubernetes/tools/bash_colors.sh ]]...
the_stack
############################################################################# ## ## Documentation automation script ## Last updated on May 4, 2021 ## ## This file is part of Logtalk <https://logtalk.org/> ## Copyright 1998-2021 Paulo Moura <pmoura@logtalk.org> ## SPDX-License-Identifier: Apache-2.0 ## ...
the_stack
# Copyright xmuspeech (Author: Snowdar 2020-02-27 2019-12-22) prefix=mfcc_23_pitch epochs="21" positions="far near" vectordir=exp/standard_xv_baseline_warmR_voxceleb1_adam score=plda trainset=voxceleb1_train_aug enrollset=voxceleb1_enroll testset=voxceleb1_test score_norm=false # Use as-norm. top_n=300 cohort_set= ...
the_stack
# NOTE: This script requires curl, strace and lsof to be installed. It # must be run on the Hue server. Set HUE_USER to a user in Hue with # Superuser access to get thread dumps. Set HUE_PASSWORD to HUE_USER's # password. # Please change USER to contain the user to login HUE_USER="admin" # Please change PASSWORD t...
the_stack
################################################### # common stuff in both curl and aria2c function # uses file_id var # Todo: write doc ################################################### _common_stuff() { export OAUTH_ENABLED TMPFILE ACCESS_TOKEN API_URL API_VERSION API_KEY API_KEY_DOWNLOAD EXTRA_LOG CURL_PROGRES...
the_stack
if [ "$1" == "--check" ]; then warnings="" echo if [ ! `which rapper` ]; then echo echo "[WARNING]: rapper not found on path. Publishing and many other things will fail." echo " see https://github.com/timrdf/csv2rdf4lod-automation/wiki/Installing-csv2rdf4lod-automation---complete" ...
the_stack